org.apache.commons.math3.optimization.fitting

## Class CurveFitter.OldTheoreticalValuesFunction

- java.lang.Object
- - org.apache.commons.math3.optimization.fitting.CurveFitter.OldTheoreticalValuesFunction

All Implemented Interfaces:
  DifferentiableMultivariateVectorFunction, MultivariateVectorFunction

Enclosing class:
  CurveFitter<T extends ParametricUnivariateFunction>

Deprecated.

    @Deprecated
    private class CurveFitter.OldTheoreticalValuesFunction
    extends Object
    implements DifferentiableMultivariateVectorFunction

Vectorial function computing function theoretical values.

### Field Summary

Fields
`private ParametricUnivariateFunction` `f` Deprecated. Function to fit.

### Constructor Summary

Constructors
Constructor and Description
`CurveFitter.OldTheoreticalValuesFunction(ParametricUnivariateFunction f)` Deprecated. Simple constructor.

### Method Summary

Methods
`MultivariateMatrixFunction` `jacobian()` Deprecated. Returns the jacobian function.
`double[]` `value(double[] point)` Deprecated. Compute the value for the function at the given point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### f

    private final ParametricUnivariateFunction f

Deprecated.
Function to fit.

### Constructor Detail

#### CurveFitter.OldTheoreticalValuesFunction

    public CurveFitter.OldTheoreticalValuesFunction(ParametricUnivariateFunction f)

Deprecated.
Simple constructor.

Parameters:
  `f` - function to fit.

### Method Detail

#### jacobian

    public MultivariateMatrixFunction jacobian()

Deprecated.
Returns the jacobian function.

Specified by:
  `jacobian` in interface `DifferentiableMultivariateVectorFunction`
Returns:
  the jacobian function

#### value

    public double[] value(double[] point)

Deprecated.
Compute the value for the function at the given point.

Specified by:
  `value` in interface `MultivariateVectorFunction`
Parameters:
  `point` - point at which the function must be evaluated
Returns:
  function value for the given point